################################################################################
################################################################################
###                               PALE CARNATIONS                            ###
################################################################################
################################################################################

default galleryUnlocked = True
### EXTRAS PARENT SCREEN--------------------------------------------------------


screen leisureroom():
    modal True
    tag menu
    add "screen"


    imagemap:

        idle "gui/screens/imagemaps/leisure_idle.png"
        hover "gui/screens/imagemaps/leisure_hover.png"
        ground "gui/screens/imagemaps/leisure_ground.png"
        hotspot (225,250,340,340) action [ ui.callsinnewcontext("galleryNameChange"), Play ("menu_click","sound effects/page-turn.wav") ], ShowMenu("scenereplay"), Hide("jukebox") hovered [ Play ("hover_load", "sound effects/click.wav") ]
        hotspot (200,659,250,340) action [ Play ("menu_click","sound effects/page-turn.wav") ], ShowMenu("jukebox"), Hide("scenereplay") hovered [ Play ("hover_load", "sound effects/click.wav") ]
        hotspot (450,550,350,320) action [ Play ("menu_click","sound effects/page-turn.wav") ], ShowMenu("bonusimages"), Hide("jukebox"), Hide("scenereplay") hovered [ Play ("hover_load", "sound effects/click.wav") ]
        hotspot (10, 22, 180, 180) action [Return(), Hide("jukebox"), Hide("scenereplay")]



### Bonus Images ---------------------------------------------------------------

screen bonusimages():
    tag menu
    imagemap:

        idle "gui/screens/imagemaps/return_idle.png"
        hover "gui/screens/imagemaps/return_hover.png"
        ground "gui/screens/imagemaps/return_ground.png"
        hotspot (10, 22, 180, 180) action [Hide("bonusimages"), ShowMenu ("leisureroom")]


### Scene Replay ---------------------------------------------------------------

label galleryNameChange:

    default persistent.galleryMcf = ""
    default persistent.galleryMcl = ""


    if persistent.galleryMcf == "":
        show transitionhousegirls with cmet
        show screen textbox2 with dissolve
        "Please enter the name the player character will go by in the scene replay mode."
        hide screen textbox2 with dissolve
        $ persistent.galleryMcf = renpy.input("Enter the player character's given name: ")
    if persistent.galleryMcl == "":
        $ persistent.galleryMcl = renpy.input("Enter the player character's surname: ")
        show screen textbox2 with dissolve
        "You've chosen the name [persistent.galleryMcf] [persistent.galleryMcl]. Is this correct?"
        hide screen textbox2 with dissolve
        menu:
            "Yes, I'll go with [persistent.galleryMcf] [persistent.galleryMcl].":
                pass
            "No, let me rethink that.":
                $ persistent.galleryMcf = ""
                $ persistent.galleryMcl = ""
                jump galleryNameChange

    return


label galleryNameChange2:
    show transitionhousegirls with cmet
    show screen textbox2 with dissolve
    "Do you want to change the name the main character will go by in the scene replay?"
    hide screen textbox2 with dissolve
    menu:
        "Yes, change the name.":
            $ persistent.galleryMcf = renpy.input("Enter the player character's given name: ")
            $ persistent.galleryMcl = renpy.input("Enter the player character's surname: ")

        "No. Keep it as [persistent.galleryMcf] [persistent.galleryMcl].":
            return

screen scenereplay():

    python:
        sceneGalleryList = [
        #  CONDITION                    IMAGE                   LABEL                                           SCOPE
        [persistent.RoseTAGallery, "roseTakeAdvantage", "rosetakeadvantage", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "trait_governor":True}, "Take advantage of Rosalind \nduring the prologue to unlock."],
        [persistent.felBathroomGallery, "felDiscoBathroom", "prDiscoFeliciaBathroomSexStart", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "perk_strongman":True, "history_voyeur":True}, "Ignore Mina at the club \nand do shots with Felicia."],
        [persistent.minaFeliciaKissGallery, "minaFeliciaKiss", "prAfterPartyMinaFeliciaKiss", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Afterparty: Use your get out of \njail card on Felicia."],
        [persistent.minaMCKissGallery, "minaMCKiss", "prAfterPartyMinaKiss", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Afterparty: The bottle has \nspoken. Kiss Mina."],
        [persistent.felAfterPartyGallery, "felDiscoAfterParty", "prFelAfterPartyFun", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Afterparty: Accept Felicia's \nadvances."],
        [persistent.felDiscoThreesomeGallery, "felDiscoThreesome", "prAfterPartyThreesome", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Afterpaty, high bromance: \ninvite Killian to jon you."],
        [persistent.katCarnationInterviewReplay, "katCarnationInterview", "prMay12meeting", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "perk_socialChameleon":True}, "Progress through the story."],
        [persistent.HarpSaunaBJGallery, "HarpSaunaBJ", "prLeisureTime", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Progress through the story."],
        [persistent.VeroEggInsertGallery, "VeroEggInsert", "prFaceOffVerRotor", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Progress through the story."],
        [persistent.FEG1Gallery, "FauxExhibitionGame1", "prFaceOffEndurance", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Progress through the story."],
        [persistent.FEG2Gallery, "FauxExhibitionGame2", "prFaceOffServility", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Progress through the story."],
        [persistent.FEG3LucyGallery, "FauxExhibitionGame3Lucy", "prFaceOffCarnalityLucy", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Progress through the story."],
        [persistent.FEG3VeroGallery, "FauxExhibitionGame3Vero", "prFaceOffCarnalityVer", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "perk_socialChameleon":True, "perk_socialButterfly":True, "history_voyeur":True, "kat_polite":True}, "Progress through the story."],
        [persistent.roseGonzoGallery, "roseGonzo", "w1RoseInterview", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "perk_socialChameleon":True, "perk_socialButterfly":True, "prAfterParty":True, "history_voyeur":True, "kat_polite":True}, "Interview Rosalind during \nWeek 1."],
        [persistent.felGonzoGallery, "felGonzo", "w1FelInterview", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "perk_socialChameleon":True, "perk_socialButterfly":True, "history_voyeur":True, "kat_polite":True}, "Interview Felicia during \nWeek 1."],
        [persistent.veroGonzoGallery, "veroGonzo", "w1VeroInterview", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Interview Veronica during \nWeek 1."],
        [persistent.roseW1SexGallery, "roseW1Sex", "w1RoseFlag", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "trait_governor":True, "perk_socialButterfly":True, "w1RoseGonzo":True, "kat_polite":True, "roseGonzoPositions":True}, "Rosalind route: Accept \nher proposal."],
        [persistent.felW1FantasyGallery, "felW1Fantasy", "w1FelFantasy", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Felicia route: progress \nthrough the story."],
        [persistent.gonzoRewardGallery, "gonzoReward", "w1GonzoRewardStart", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "history_voyeur":True, "kat_polite":True}, "Nail the Carnation \ninterview during week 1."],
        [persistent.roseBodyWritingText, "roseBodyWritingText", "w1RosalindSelfies", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Having fully accepted Rosalind's \nterms, make her prove it."],
        [persistent.veroEx1Grope, "veroEx1Grope", "w1ExVeronica", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "Veronica_Horniness":99}, "Visit Veronica before \nexhibition #1."],
        [persistent.felExhibition1Game1, "felExhibition1Game1", "w1ExIntuitionGameFelicia", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Progress through the story."],
        [persistent.roseExhibition1Game1, "roseExhibition1Game1", "w1ExIntuitionGameRosalind", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Progress through the story."],
        [persistent.veroExhibition1Game1, "veroExhibition1Game1", "w1ExIntuitionGameVeronica", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Progress through the story."],
        [persistent.w1ExGame2VeroFelGallery, "w1ExGame2VeroFel", "w1ExFollowThroughVeroFel", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Rosalind won week 1, game 1."],
        [persistent.w1ExGame2VeroRoseGallery, "w1ExGame2VeroRose", "w1ExFollowThroughVeroRose", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Felicia won week 1, game 1."],
        [persistent.w1ExGame2RoseFelGallery, "w1ExGame2RoseFel", "w1ExFollowThroughRoseFel", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Veronica won week 1, game 1."],
        [persistent.w1ExGame3RoseGallery, "w1ExGame3Rose", "w1ExEarningsGameRosalind", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Rosalind lost some variation \nof week 1, game 2."],
        [persistent.w1ExGame3FelGallery, "w1ExGame3Fel", "w1ExEarningsGameFelicia", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Felicia lost some variation \nof week 1, game 2."],
        [persistent.w1ExGame3VeroGallery, "w1ExGame3Vero", "w1ExEarningsGameVeronica", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Veronica lost some variation \nof week 1, game 2."],
        [persistent.w2HanaZaraFBGallery, "w2HanaZaraFB", "w2HanaLezStory", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "During Never Have I Ever, \nask a spicy question."],
        [persistent.w2HanaBDGallery, "w2HanaBD", "w2BirthDayHanaPresent", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Accept Hana's birthday present."],
        [persistent.w2MinaKissGallery, "w2MinaKiss", "w2MinaLineReadingPart2", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2MinaScenePoints":99, "Mina_KLove":0}, "Put on a convincing performance \n with a doubting Mina."],
        [persistent.w2ShamePhotoshootGallery, "w2ShamePhotoshoot", "w2ShamePhotoshoot", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w1FelAss":True, "kat_polite":True, "Veronica_Horniness":99}, "Progress through the story."],
        [persistent.w2KatBirthdayGiftGallery, "w2KatBirthdayGift", "w2KatBirthdayGift", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True}, "Accept Mrs. Pulman's gift."],
        [persistent.w2KatSceneGallery, "w2KatScene", "w2EdwinKatScene", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True, "w1ExGame2WinnerRose":True }, "Mrs. Pulman trusts you."],
        [persistent.roseW2ParkSceneGallery, "roseW2Park", "w2RosalindParkStartForReal", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True, "roseFlag":True, "roseTAapology":True, "minaFlag":True, "roseSeduceFlag":True}, "Progress through the story."],
        [persistent.roseW2BoobjobSceneGallery, "roseW2Boobjob", "w2RosalindParkBathroom", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w1GonzoReward":True}, "Progress through the story."],
        [persistent.roseW2KitchenSceneGallery, "roseW2Kitchen", "w2RosaFlag", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2RoseGag":True, "perk_strongman":True, "trait_tireless":True}, "You and Rosalind are in a deal."],
        [persistent.veroW2GymSceneGallery, "veroW2Gym", "w2VeronicaGymphotoshoot", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True, "Veronica_Affection":99, "minaGym":True}, "Progress through the story."],
        [persistent.veroW2ScratchGallery, "veroW2Scratch", "w2VeronicaphotoshootExtended", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "Veronica_Affection":99, "w2VeronicaSquirm":True}, "Have Veronica propose a deal."],
        [persistent.veroW2MCScratchGallery, "veroW2MCScratch", "w2VeronicaEdwinScratch", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "Veronica_Affection":99, "prVero_Facial":True, "VeroFlag":True}, "Scratch Veronica's back."],
        [persistent.hanaW2Dream, "hanaW2Dream", "w2HanaDream", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Unlocked if you accept Hana's birthday \npresent and then choose to hold her."],
        [persistent.hanaW2DryHump, "hanaw2DryHump", "w2HanaDryHump", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Unlocked if you accept Hana's birthday \npresent and then choose to hold her."],
        [persistent.hanaMCKiss, "hanaMCKiss", "w2HanaMCKiss", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "hanaFlag":True, "w2HanaHump":True, "w2HanaSex":True}, "Unlocked if you accept Hana's birthday \npresent and then choose to hold her."],
        [persistent.w2IanMaid3some, "w2IanMaid3some", "w2MinaStart", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl}, "Unlocked automatically."],
        [persistent.w2FeliciaEggStuff, "w2FeliciaEggStuff", "w2FeliciaStuffed", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "feliciaFlag":True},"Unlocked automatically."],
        [persistent.w2FeliciaConvoTease, "w2FeliciaConvoTease", "w2FeliciaConvoTease", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "feliciaFlag":True, "kat_polite":True, "Felicia_Affection":99, "w2FeliciaPacked":True},"Unlocked automatically."],
        [persistent.w2FeliciaBathroomJill, "w2FeliciaBathroomJill", "w2FeliciaBathroomJill", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "felPN":"Daddy", "kat_polite":True, "Felicia_Affection":99, "w2FeliciaPacked":True, "feliciaFlag":True},"Accept Felicia's video call."],
        [persistent.w2FeliciaSex, "w2FeliciaSex", "w2FeliciaSex", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "felPN":"Daddy", "kat_polite":True, "Felicia_Affection":99, "w2FeliciaPacked":True, "w2FeliciaExtra":True, "feliciaFlag":True},"While on Felcia's path, \nchoose to take it further."],
        [persistent.w2MinaMindBlown, "w2MinaMindBlown", "w2MinaMindBlown", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "Mina_BiCurious":5},"While on Mina's path, \ncross the line."],
        [persistent.roseW2Spank, "roseW2Spank", "w2RoseSpank", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"Having fully embraced Rosalind's terms in \nweek 1, push it further in week 2."],
        [persistent.roseW2Sausage, "roseW2Sausage", "w2RosalindSelfie", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"Having fully embraced Rosalind's terms in \nweek 1, push it further in week 2."],
        [persistent.roseW2Sgrope, "roseW2grope", "w2ExRosalindMingleA", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "roseFlag": True, "Rosalind_Affection":99},"Publicly grope Rosalind during \nWeek 2's Exhibition."],
        [persistent.felW2grope, "felW2grope", "w2ExFeliciaMingleA", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w1GonzoReward": True, "w2ExRosalindMingleARepeat": True},"During Week 2's \nExhibition, settle a bet."],
        [persistent.daliaW2Sauna, "daliaW2Sauna", "w2ExSauna", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2HarpRainCheck":True, "w2VeronicaScratch":True},"Get to the bottom of \nSamson's duplicity."],
        [persistent.harperlucyW2Lez, "harperlucyW2Lez", "w2ExLezB", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "history_voyeur":True},"During Week 2's Exhibition \nindulge your voyeuristic tendencies."],
        [persistent.veroW2Shame, "veroW2Shame", "w2ExVeronicaHumiliation", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True},"Progress through the story."],
        [persistent.felW2Shame, "felW2Shame", "w2ExFeliciaHumiliation", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True, "feliciaFlag":True, "w2FeliciaImpressed":True},"Progress through the story."],
        [persistent.roseW2Shame, "roseW2Shame", "w2ExRosalindHumiliation", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "kat_polite":True, "Killian_Bromance":99, "w2RosalindPhoto": True, "perk_socialChameleon":True},"Progress through the story."],
        [persistent.minaW3HJ, "minaW3HJ", "w3MinaStart", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"After the week 2 Exhibition, \visit Mina."],
        [persistent.w3dream, "w3dream", "w3KathleenStart", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"After the week 2 Exhibition, \visit Kathleen."],
        [persistent.w3moviemakeout, "w3moviemakeout", "w3HanaMovieMakeout", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"Get physical during the movie date with Hana."],
        [persistent.w3karaokemakeout, "w3karaokemakeout", "w3HanaDateKaraoke", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w3HanaDP":99},"Get physical during the karaoke date with Hana."],
        [persistent.w3hanafuckfest, "w3hanafuckfest", "w3HanaDateFuckFest", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w3HanaDP":99},"Hana was sufficiently revved up during the date."],
        [persistent.w3HanaRomanceSex, "w3HanaRomanceSex", "w3HanaRomanceSex", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w3HanaDP":99},"Promise Hana."],
        [persistent.w3ShockGame, "w3ShockGame", "w3ShockGame", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"Progress through the story."],
        [persistent.w3PunishGame, "w3VeroPunish", "w3PunishGame", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2ExLoserVeronica": True, "w1GonzoReward":True, "w1ExIntuitionGameWinnerRose":True},"Progress through the story."],
        [persistent.w3PunishGame, "w3FelPunish", "w3PunishGame", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2ExLoserFelicia":True, "w1GonzoReward":True},"Progress through the story."],
        [persistent.w3PunishGame, "w3VeroFel", "w3PunishGame", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2ExLoserDuo":True, "w1GonzoReward":True},"Progress through the story."],
        [persistent.w3PunishGame, "w3AllPunish", "w3PunishGame", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "w2ExLosersAll":True, "w1GonzoReward":True},"Progress through the story."],
        [persistent.w3MinaParkKiss, "w3MinaParkKiss", "w3MinaParkKiss", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "Mina_Affection":99},"After rejecting Mina's advances, \nchange your mind."],
        [persistent.w3MinaHotelSex, "w3MinaHotelSex", "w3MinaHotel", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl, "feliciaSex":True, "w2HanaSex":True},"Be on Mina's Path."],
        [persistent.w3VicMidTierFBSex, "w3VicMidTierFBSex", "w3MinaPornWatch", {"mcf":persistent.galleryMcf, "mcl":persistent.galleryMcl},"Be on Mina's Path."],

        ]




    add "gui/screens/backgrounds/leisure_jukebox.png"
    textbutton "Change player name" action ui.callsinnewcontext("galleryNameChange2") xpos 0.77 ypos 0.945
    vpgrid:
        cols 2
        spacing 5
        scrollbars "vertical"
        mousewheel True
        draggable True
        pos (0.685, 0.165)
        ymaximum 825

        for i in sceneGalleryList:
            if i[0] or galleryUnlocked:
                imagebutton:
                    auto "images/misc/scene replay/"+i[1]+"_%s.png"
                    action Replay(i[2], scope=i[3], locked=False)
            else:
                imagebutton:
                    action NullAction()
                    idle "images/misc/scene replay/"+i[1]+"_locked.png"
                    tooltip i[4]
    $ tooltip = GetTooltip()
    if tooltip:
        text "[tooltip]":
            pos (1420, 8)

### JUKEBOX --------------------------------------------------------------------

init python:

    mr = MusicRoom(fadeout=1.0)

    mr.add("music/Still_Standing.ogg")
    mr.add("music/organic.ogg")
    mr.add("music/FeelinIt.ogg")
    mr.add("music/cello-suite-No-1-G-Major-Prelude.ogg")
    mr.add("music/philly-crew.ogg")
    mr.add("music/jazz-piano-bar.ogg")
    mr.add("music/frame-of-mine.ogg")
    mr.add("music/ill-remember-you.ogg")
    mr.add("music/hold-on-a-second.ogg")
    mr.add("music/helping-hands.ogg")
    mr.add("music/as-i-figure.ogg", always_unlocked=True)
    mr.add("music/big-rock.ogg")
    mr.add("music/crinoline-dreams.ogg")
    mr.add("music/despair-and-triumph.ogg")
    mr.add("music/george-street-shuffle.ogg")
    mr.add("music/happy-boy-end-theme.ogg")
    mr.add("music/i-knew-a-guy.ogg")
    mr.add("music/leaving-home.ogg")
    mr.add("music/lobby-time.ogg")
    mr.add("music/myst-on-the-moor.ogg")
    mr.add("music/night-on-the-docks-sax.ogg")
    mr.add("music/on-the-ground.ogg")
    mr.add("music/plans-in-motion.ogg")
    mr.add("music/sonatina-in-c-minor.ogg")
    mr.add("music/study-and-relax.ogg")
    mr.add("music/take-the-lead.ogg")
    mr.add("music/there-it-is.ogg")
    mr.add("music/thief-in-the-night.ogg")
    mr.add("music/horrible.ogg")
    mr.add("music/six-days-of-heat-pt2.ogg")
    mr.add("music/Darkdub.ogg")
    mr.add("music/love-or-lust.ogg")
    mr.add("music/hotshot.ogg")
    mr.add("music/called-upon.ogg")
    mr.add("music/thief-in-the-night.ogg")
    mr.add("music/edm-detection-mode.ogg")
    mr.add("music/Moonlight-Sonata.ogg")
    mr.add("music/a-lost-map-of-a-heaven.ogg")
    mr.add("music/beginning-of-conflict.ogg")
    mr.add("music/romantic-motivation.ogg")
    mr.add("music/jack-the-lumberer.ogg")
    mr.add("music/sneaky-snitch.ogg")
    mr.add("music/ukulele-fun.ogg")
    mr.add("music/a-brand-new-start.ogg")
    mr.add("music/happy-whistling-ukulele.ogg")
    mr.add("music/guiton-sketch.ogg")
    mr.add("music/heavy-trailer-1.ogg")
    mr.add("music/catalyst.ogg")
    mr.add("music/rifts-for-days.ogg")
    mr.add("music/pure-energy-9.ogg")
    mr.add("music/st-francis.ogg")
    mr.add("music/jazz-apricot.ogg")
    mr.add("music/swagger.ogg")
    mr.add("music/time-piece.ogg")
    mr.add("music/hep-cats.ogg")
    mr.add("music/epic-battle-speech.ogg")
    mr.add("music/doll-dancing.ogg")
    mr.add("music/victim-to-victor.ogg")
    mr.add("music/echo-sclavi.ogg")
    mr.add("music/anacaptainslogue.ogg")
    mr.add("music/dancebroom-riddim.ogg")
    mr.add("music/no1-a-minor-waltz.ogg")
    mr.add("music/everything-you-wanted.ogg")
    mr.add("music/sugar-zone.ogg")
    mr.add("music/you-should.ogg")
    mr.add("music/higher-octane.ogg")
    mr.add("music/that-one-bar-scene.ogg")
    mr.add("music/outta-time.ogg")
    mr.add("music/together-with-you.ogg")
    mr.add("music/from-russia-with-love.ogg")
    mr.add("music/thunder.ogg")
    mr.add("music/inner-light.ogg")
    mr.add("music/scissor-vision.ogg")
    mr.add("music/burlesque-heartache.ogg")
    mr.add("music/dog-park.ogg")
    mr.add("music/ninja-tortoise.ogg")
    mr.add("music/hypnosis.ogg")
    mr.add("music/devious-little-smile.ogg")
    mr.add("music/modern-situations.ogg")
    mr.add("music/landing.ogg")
    mr.add("music/ob1.ogg")
    mr.add("music/the-loner.ogg")
    mr.add("music/future-rennaisance.ogg")
    mr.add("music/ode-to-joy.ogg")
    mr.add("music/impertinence.ogg")
    mr.add("music/bellissimo.ogg")
    mr.add("music/air-on-g.ogg")
    mr.add("music/wanderlust.ogg")
    mr.add("music/too-cool.ogg")
    mr.add("music/your-big-rock-concert.ogg")
    mr.add("music/unsafe-roads.ogg")
    mr.add("music/stoned.ogg")
    mr.add("music/happy-clappy.ogg")
    mr.add("music/select.ogg")
    mr.add("music/rockville.ogg")
    mr.add("music/crazy.ogg")
    mr.add("music/addict.ogg")


screen jukebox():
    add "gui/screens/backgrounds/leisure_jukebox.png"
    viewport:
        scrollbars "vertical"
        mousewheel True
        draggable True
        xpos 0.7
        ypos 0.15
        ymaximum 825


        vbox:
            # The buttons that play each track.
            textbutton "Romantic Motivation by Aleksound" action mr.Play("music/romantic-motivation.ogg")
            textbutton "Catalyst - Alexander Nakarada" action mr.Play("music/catalyst.ogg")
            textbutton "Jack the Lumberer - Alexander Nakarada" action mr.Play("music/jack-the-lumberer.ogg")
            textbutton "Stoned - Alexander Nakarada" action mr.Play("music/stoned.ogg")
            textbutton "Unsafe Roads - Alexander Nakarada" action mr.Play("music/unsafe-roads.ogg")
            textbutton "Air on G - Andy LM-Leung" action mr.Play("music/air-on-g.ogg")
            textbutton "Still Standing - Anno Domini Beats" action mr.Play("music/Still_Standing.ogg")
            textbutton "Moonlight Sonata - Beethoven" action mr.Play("music/Moonlight-Sonata.ogg")
            textbutton "Organic - Beat Doctor" action mr.Play("music/organic.ogg")
            textbutton "Feelin It - Bobby Renz / Text Me Records" action mr.Play("music/FeelinIt.ogg")
            textbutton "Bach Cello Suite No. 1, G Major, Prelude - Cooper Cannel" action mr.Play("music/cello-suite-No-1-G-Major-Prelude.ogg")
            textbutton "Ode to Joy - Cooper Cannel" action mr.Play("music/ode-to-joy.ogg")
            textbutton "Philly Crew - Danny Kean / Doug Maxwell" action mr.Play("music/philly-crew.ogg")
            textbutton "Everything You Wanted - Dan Lebowitz" action mr.Play("music/everything-you-wanted.ogg")
            textbutton "Thunder - Delicate Steve" action mr.Play("music/thunder.ogg")
            textbutton "The Loner - DJ Williams" action mr.Play("music/the-loner.ogg")
            textbutton "Bellissimo - Doug Maxwell" action mr.Play("music/bellissimo.ogg")
            textbutton "Jazz Piano Bar - Doug Maxwell / Media Right Productions" action mr.Play("music/jazz-piano-bar.ogg")
            textbutton "No. 1 A Minor Waltz - Esther Abrami" action mr.Play("music/no1-a-minor-waltz.ogg")
            textbutton "Frame of Mine - Freedom Trial Studio" action mr.Play("music/frame-of-mine.ogg")
            textbutton "Devious Little Smile - God Mode" action mr.Play("music/devious-little-smile.ogg")
            textbutton "Future Renaissance - God Mode" action mr.Play("music/future-rennaisance.ogg")
            textbutton "Hypnosis - God Mode" action mr.Play("music/hypnosis.ogg")
            textbutton "Landing - God Mode" action mr.Play("music/landing.ogg")
            textbutton "From Russia With Love - Huma-Huma" action mr.Play("music/from-russia-with-love.ogg")
            textbutton "I'll Remember You - Jeremy Blake" action mr.Play("music/ill-remember-you.ogg")
            textbutton "Jim Hall - Wanderlust" action mr.Play("music/wanderlust.ogg")
            textbutton "Impertinence - Joel Cummins" action mr.Play("music/impertinence.ogg")
            textbutton "Jazz Appricot - Joey Pecoraro" action mr.Play("music/jazz-apricot.ogg")
            textbutton "Happy Clappy - John Bartmann" action mr.Play("music/happy-clappy.ogg")
            textbutton "Hold On a Second - John Deley and the 41 Players" action mr.Play("music/hold-on-a-second.ogg")
            textbutton "St. Francis - Josh Lippi and The Overtimers" action mr.Play("music/st-francis.ogg")
            textbutton "Together With You - Jr. Tundra" action mr.Play("music/together-with-you.ogg")
            textbutton "Heling Hands - Ketsa" action mr.Play("music/helping-hands.ogg")
            textbutton "As I figure - Kevin MacLeod" action mr.Play("music/as-i-figure.ogg")
            textbutton "Big Rock - Kevin MacLeod" action mr.Play("music/big-rock.ogg")
            textbutton "Crinoline Dreams - Kevin MacLeod" action mr.Play("music/crinoline-dreams.ogg")
            textbutton "Despair and Triumph - Kevin MacLeod" action mr.Play("music/despair-and-triumph.ogg")
            textbutton "George Street Shuffle - Kevin MacLeod" action mr.Play("music/george-street-shuffle.ogg")
            textbutton "Guiton Sketch - Kevin MacLeod" action mr.Play("music/guiton-sketch.ogg")
            textbutton "Happy Boy End Theme - Kevin MacLeod" action mr.Play("music/happy-boy-end-theme.ogg")
            textbutton "Hep Cats - Kevin MacLeod" action mr.Play("music/hep-cats.ogg")
            textbutton "I Knew a Guy - Kevin MacLeod" action mr.Play("music/i-knew-a-guy.ogg")
            textbutton "Inner Light - Kevin MacLeod" action mr.Play("music/inner-light.ogg")
            textbutton "Leaving Home - Kevin MacLeod" action mr.Play("music/leaving-home.ogg")
            textbutton "Lobby Time - Kevin MacLeod" action mr.Play("music/lobby-time.ogg")
            textbutton "Myst on the Moor - Kevin MacLeod" action mr.Play("music/myst-on-the-moor.ogg")
            textbutton "Night on the Docks (Sax) - Kevin MacLeod" action mr.Play("music/night-on-the-docks-sax.ogg")
            textbutton "On the Ground - Kevin MacLeod" action mr.Play("music/on-the-ground.ogg")
            textbutton "Plans in Motion - Kevin MacLeod" action mr.Play("music/plans-in-motion.ogg")
            textbutton "Sneaky Snitch - Kevin MacLeod" action mr.Play("music/sneaky-snitch.ogg")
            textbutton "Sonatina in C-Minor - Kevin MacLeod" action mr.Play("music/sonatina-in-c-minor.ogg")
            textbutton "Study and Relax - Kevin MacLeod" action mr.Play("music/study-and-relax.ogg")
            textbutton "Take the Lead - Kevin MacLeod" action mr.Play("music/take-the-lead.ogg")
            textbutton "There It Is - Kevin MacLeod" action mr.Play("music/there-it-is.ogg")
            textbutton "Too Cool - Kevin MacLeod" action mr.Play("music/too-cool.ogg")
            textbutton "EDM Detection Mode - Kevin MacLeod" action mr.Play("music/edm-detection-mode.ogg")
            textbutton "Dancebroom Riddim - Konrad OldMoney" action mr.Play("music/dancebroom-riddim.ogg")
            textbutton "Scissor Vision - Letter Box" action mr.Play("music/scissor-vision.ogg")
            textbutton "Horrible - Mela" action mr.Play("music/horrible.ogg")
            textbutton "Echo Sclavi - The Mini Vandals" action mr.Play("music/echo-sclavi.ogg")
            textbutton "Addict - NEFFEX" action mr.Play("music/addict.ogg")
            textbutton "AnaCaptainslogue - Noir Et Blanc Vie" action mr.Play("music/anacaptainslogue.ogg")
            textbutton "Six Days of Heat - Principles of Modeling" action mr.Play("music/six-days-of-heat-pt2.ogg")
            textbutton "Darkdub - Quincas Moreira" action mr.Play("music/Darkdub.ogg")
            textbutton "Love or Lust - Quincas Moreira" action mr.Play("music/love-or-lust.ogg")
            textbutton "Swagger - Quincas Moreira" action mr.Play("music/swagger.ogg")
            textbutton "Crazy - Patrick Patrikios" action mr.Play("music/crazy.ogg")
            textbutton "Rockville - Patrick Patrikios" action mr.Play("music/rockville.ogg")
            textbutton "Select - Patrick Patrikios" action mr.Play("music/select.ogg")
            textbutton "You Should - Patrick Patrikios" action mr.Play("music/you-should.ogg")
            textbutton "Doll Dancing - Puddle of Infinity" action mr.Play("music/doll-dancing.ogg")
            textbutton "Beginning of Conflict - Rafael Krux" action mr.Play("music/beginning-of-conflict.ogg")
            textbutton "Happy Whistling Ukulele - Rafael Krux" action mr.Play("music/happy-whistling-ukulele.ogg")
            textbutton "Ukulele Fun - Rafael Krux" action mr.Play("music/ukulele-fun.ogg")
            textbutton "OB1 - Ralph Real" action mr.Play("music/ob1.ogg")
            textbutton "Burlesque - RKVC" action mr.Play("music/burlesque-heartache.ogg")
            textbutton "Outta Time - RKVC" action mr.Play("music/outta-time.ogg")
            textbutton "That One Bar Scene - RKVC" action mr.Play("music/that-one-bar-scene.ogg")
            textbutton "Victim to Victor - RKVC" action mr.Play("music/victim-to-victor.ogg")
            textbutton "Heavy Trailer 1 - Sascha Ende" action mr.Play("music/heavy-trailer-1.ogg")
            textbutton "Pure Energy 9 - Sascha Ende" action mr.Play("music/pure-energy-9.ogg")
            textbutton "Hotshot - Scott Holmes" action mr.Play("music/hotshot.ogg")
            textbutton "A Lost Map Of A Heaven - Shaoqing Li (Luna)" action mr.Play("music/a-lost-map-of-a-heaven.ogg")
            textbutton "Called Upon - Silent Partner" action mr.Play("music/called-upon.ogg")
            textbutton "Dog Park - Silent Partner" action mr.Play("music/dog-park.ogg")
            textbutton "Sugar Zone - Silent Partner" action mr.Play ("music/sugar-zone.ogg")
            textbutton "Time Piece - Silent Partner" action mr.Play ("music/time-piece.ogg")
            textbutton "A Brand New Start - TrackTribe" action mr.Play("music/a-brand-new-start.ogg")
            textbutton "Riffs For Days - TrackTribe" action mr.Play("music/rifts-for-days.ogg")
            textbutton "Modern Situation - Unicorn Heads" action mr.Play("music/modern-situations.ogg")
            textbutton "Higher Octane - Vans in Japan" action mr.Play("music/higher-octane.ogg")
            textbutton "Ninja Tortoise - Verified Picasso" action mr.Play("music/ninja-tortoise.ogg")
            textbutton "Epic Battle Speech - Wayne Jones" action mr.Play("music/epic-battle-speech.ogg")
            textbutton "Your Big Rock Concert - WinnieTheMoog" action mr.Play("music/your-big-rock-concert.ogg")
            # The button that lets the user exit the music room.
            textbutton "Return" action Hide("jukebox")
